Create Policy
Create a new policy.
Create a new policy.
Request
URI
POST
https://{api_host}/suite-api/api/policies
COPY
Request Body
The Policy object which can be used to create the policy
policy
of type(s)
application/json
Required
Show optional properties
{
"name": "string"
}
"{\n \"name\" : \"XYZ Production Policy\",\n \"description\" : \"=Production Policy Description\",\n \"parentPolicy\" : \"455266b0-f61a-4983-9f0b-628d35eddba0\"\n}"
string
description
Optional
Name of the Policy
string As uuid
As uuid
id
Optional
Identifier of the Policy
string
name
Required
Constraints:
minLength: 1
Name of the Policy
string As uuid
As uuid
parentPolicy
Optional
Parent Policy id
Responses
201
Created Policy.
Returns
policy
of type(s)
application/json
"No Custom Example is Available"
string
description
Optional
Name of the Policy
string As uuid
As uuid
id
Optional
Identifier of the Policy
string
name
Required
Constraints:
minLength: 1
Name of the Policy
string As uuid
As uuid
parentPolicy
Optional
Parent Policy id
400
An invalid request body was specified
Operation doesn't return any data structure
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name":"string"}' https://{api_host}/suite-api/api/policies
Policies Operations
GET
Get Policies
POST
Create Policy
POST
Apply Policy
PUT
Set Default Policy
GET
Export Policies
POST
Import Policies
PUT
Update Priorities
DELETE
Delete Policy
PUT
Assign Policy
DELETE
Delete Policy Settings
GET
Get Policy Settings
PATCH
Patch Policy Settings
PUT
Unassign Policy